Katello - Bug #7292

Duplicate route sync plan
08/28/2014 09:08 AM - Christine Fouant

Status: Closed
Priority: Normal
Assignee: Christine Fouant
Category: API
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1132914 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/462
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1132914
Description of problem:
There is a duplicate route in sync_plan modification

1. grep 'PUT.*sync.*prod' sync_plans_controller.rb.old

api :PUT, "/organizations/:organization_id/sync_plans/:id/products”, N_("Add products to sync plan")

api :PUT, "/organizations/:organization_id/sync_plans/:id/products”, N_("Remove products from sync plan")
Version-Release number of selected component (if applicable):
How reproducible:
Steps to Reproduce:
1.
2.
3.

Actual results:
Use DELETE for Remove of products

Expected results:

Additional info:

Associated revisions

Revision 9faf11f0 - 08/28/2014 02:55 PM - Christine Fouant
fixes #7292 - Fixes duplicated sync plan route, BZ 1132914

History

#1 - 08/28/2014 09:56 AM - Christine Fouant

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4622 added
- Pull request deleted ()

#2 - 08/28/2014 02:43 PM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/28/2014 04:02 PM - Christine Fouant
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100
https://bugzilla.redhat.com/show_bug.cgi?id=1132914

Applied in changeset katello|9faf11f0dd90ada679446c83acf725788234969c.

#4 - 09/15/2014 02:21 PM - Eric Helms

- translation missing: en.field_release set to 13
